 char data_[256];
 char status_;

//--------------- Performs 24AA01 Init
void EEPROM_24AA01_Init() {
  I2CM1_Init(_I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE);
}

//--------------- Writes data to 24AA01 EEPROM - signle location
void EEPROM_24AA01_WrSingle(char wAddr, char wData) {
    data_[0] = wAddr;
    data_[1] = wData;
    I2CM1_Set_Slave_Address(0x50);
    // issue I2C start signal
    status_ = I2CM1_Write_Bytes(data_, 2);
}

//--------------- Reads data from 24AA01 EEPROM - single location (random)

char  EEPROM_24AA01_RdSingle(char rAddr) {
    data_[0] = rAddr;
    I2CM1_Set_Slave_Address(0x50);
    status_ = I2CM_Write(rAddr);
    status_ = I2CM_Read(&rAddr);
    return rAddr;
}

//--------------- Reads data from 24AA01 EEPROM - sequential read
void EEPROM_24AA01_RdSeq(char rAddr, char rdData[16], char rLen) {
    data_[0] = rAddr;
    I2CM1_Set_Slave_Address(0x50);
    status_ = I2CM_Write(rAddr);
    status_ = I2CM_Read_Bytes(&rdData, rLen);
}