/*
 * Project Name:
     Time_Demo (simplified c-like time library)
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description  :
     Just run it in watch window and watch appropriate variables.
 * Test configuration:
      MCU:            FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev. Board:      Clicker 2 for FT900
                      http://www.mikroe.com/FT90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - None.
 */

#include        "__Time.h"

TimeStruct ts1, ts2;
long epoch;
long diff;

void main() {
  ts1.ss = 0;
  ts1.mn = 7;
  ts1.hh = 17;
  ts1.md = 23;
  ts1.mo = 5;
  ts1.yy = 2006;

  // What is the epoch of the date in ts ?
  epoch = Time_dateToEpoch(&ts1);          //  1148404020


  // What date is epoch 1234567890 ?
  epoch = 1234567890;
  Time_epochToDate(epoch, &ts2);       //  {30, 31, 23, 13, 4, 2, 2009}

  // How much seconds between this two dates ?
  diff = Time_dateDiff(&ts1, &ts2);    //  86163870
}